/*
Interfaces for date conversion routines
Copyright (C) 2006      Richard Wordingham

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/
#define uquad unsigned long long int
/* day   range 1..31
   month range 0..11
   year  AD    1904..LONG_MAX
   hour 0..23
   min  0..59
   sec  0..60 */
void date1904_to_seconds(int year, int month, int day,
			 int hour, int min,   int sec,
			 uquad *ndays, uquad *secs);
int seconds_to_date1904(uquad secs,
	                int *year, int *month, int *day,
		        int *hour, int *min,   int *sec);
#undef uquad
