/*
Symbolic names for Unicode properties
Copyright (C) 2007-2020      Richard Wordingham

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/
#ifndef PROPERTIES__H
#define PROPERTIES__H 1
#include "unidata.h"

extern struct space unicode_dirs;
enum direction {K_DIR_BAD,                                  /* Bad value */
                K_DIR_L,              K_DIR_LRE, K_DIR_LRO, /* Strong */
                K_DIR_R,   K_DIR_AL,  K_DIR_RLE, K_DIR_RLO, /* Strong */
                K_DIR_PDF, K_DIR_EN,  K_DIR_ES,  K_DIR_ET,  /* Weak */
                K_DIR_AN,  K_DIR_CS,  K_DIR_NSM, K_DIR_BN,  /* Weak */
                K_DIR_B,   K_DIR_S,   K_DIR_WS,  K_DIR_ON,  /* Neutral */
                K_DIR_LRI, K_DIR_RLI, K_DIR_FSI, K_DIR_PDI}; /* Isolators */
#endif
