/*
Interface for definitions for intelligible reading and writing OpenType fonts.
Copyright (C) 2013      Richard Wordingham

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/
extern const struct st_entry {
  const char *sn, *ln;
  int bit, start, end;
} script_table[];
extern const int n_script_table;
extern const int is_supplementary;

struct code_page_table {int bit; char *n1, *n2;};
extern const struct code_page_table code_page_table[];
extern const int n_code_page_table;

#define n_ordered_mac_name 258
extern const char *ordered_mac_name[258 + 1];
