/*
Interfaces for compilation of OpenType hints
Copyright (C) 2005      Richard Wordingham

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301, USA.
*/
#include "map.h"

struct instr_type {
  char *name;
  enum op_flags {NO_FLAGS, AXIS, ROT, SETRP0, ROUND, RPSEL, WHEN,
		 COLOUR, MOVE, OCOUNT, LITERAL} flags;
  unsigned char code;
  signed char consume_abs;
  signed char consume_loop;
  signed char consume_top;
};

void define_opcodes(struct map *the_list);
void compile_instr(unsigned char **code, int *length);
